%bcond_without check
# picolisp built from llvm bitcode does not contain any debuginfo
%global debug_package %{nil}

Name:           picolisp
Version:        24.12
Release:        1%{?dist}
Summary:        A fast, lightweight Lisp interpreter

License:        MIT
URL:            https://picolisp.com
Source0:        https://software-lab.de/picoLisp-%{version}.tgz

BuildRequires:  make clang llvm-devel readline-devel libffi-devel openssl-devel pkgconf
# Requires:       

Patch0:         fix-shebang-lines.patch

%description
PicoLisp is a Lisp interpreter with a small memory footprint, yet relatively high execution speed. It combines an elegant and powerful language with built-in database functionality.


%prep
%autosetup -p1 -n pil21


%build
%make_build -C src

%install
mkdir -p %{buildroot}/usr/lib/picolisp
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
cp -a . %{buildroot}/usr/lib/picolisp
ln -s ../lib/picolisp/bin/picolisp %{buildroot}%{_bindir}/picolisp
ln -s ../lib/picolisp/bin/pil %{buildroot}%{_bindir}/pil
ln -s ../../../lib/picolisp/man/man1/pil.1 %{buildroot}%{_mandir}/man1/pil.1
ln -s ../../../lib/picolisp/man/man1/picolisp.1 %{buildroot}%{_mandir}/man1/picolisp.1

%if %{with check}
%check
./pil test/lib.l -bye + < /dev/null
%endif

%files
%license COPYING
%doc README INSTALL
/usr/lib/picolisp/
%{_bindir}/picolisp
%{_bindir}/pil
%{_mandir}/man1/*



%changelog
* Mon Dec 30 2024 Kan-Ru Chen <kanru@kanru.info> - 24.12-1
- New upstream release

* Sun Jun 30 2024 Kan-Ru Chen <kanru@kanru.info> - 24.6-1
- Initial import 
